#
# spec file for package xrx
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xrx
Version:        1.0.4
Release:        bp153.1.14
Summary:        X Remote eXecution
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproxymngproto)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xtrans)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The remote execution (RX) service specifies a MIME format for invoking
applications remotely, for example via a World Wide Web browser.  This
RX format specifies a syntax for listing network services required by
the application, for example an X display server.  The requesting Web
browser must identify specific instances of the services in the request
to invoke the application.

The distribution contains a helper program (xrx) and a Mozilla family
browser plug-in (libxrx) that demonstrate this protocol.  The plug-in
was originally written for Navigator 3.0, but has been used with later
versions of the Mozilla family of browsers, including Firefox.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/xrx
%{_libdir}/libxrx.so
%{_libdir}/libxrxnest.so
%{_mandir}/man1/libxrx.1%{?ext_man}
%{_mandir}/man1/xrx.1%{?ext_man}

%changelog
* Fri Feb  1 2019 bjorn.lie@gmail.com
- Drop conditional pkgconfig(npapi-sdk) BuildRequires: npapi-sdk is
  dead upstream and not comming back.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xrx from xorg-x11. Initial version: 1.0.4.
